**管理后台DB-table 与redis-key对应关系**

**测试环境redis配置**

    name: texiu_home_redis
    host: 61.160.36.19
    pwd: 33fa134e11b
    port: 6380


**格式**
# 表名
    缓存名
    描述

# vip
    缓存名：dw:texiu:vip:detail:list
    描述：会员列表缓存，每当更新vip表时，需要删词该key。



# template

```
缓存名：dw:texiu:template:detail:${templateId}
描述：模板详情缓存，每当更新或者删除template表数据时，需要删除该key。

缓存名：dw:texiu:feed:ids
描述：首页视频列表缓存，每当删除template表数据时，需要删除该key。

缓存名：dw:texiu:template:music:{musicId}
描述：音乐id 对应的模板列表，每当删除template表数据时，需要删除该key。

缓存名：dw:texiu:type:template:{type}
描述：类型对应的模板列表，每当删除template表数据时，需要删除该key。

```



# templateType

```
缓存名：dw:texiu:template:type:
描述：模板类型列表缓存，每当更新templateType表数据时，需要删除该key。
```



# author

```
缓存名：dw:texiu:author:detail:${id}
描述：作者详情缓存，每当更新author表时，需要删除该key。
```



# sticker

```
缓存名：dw:texiu:sticker:detail:${id}
描述：炫舞素材详情缓存，每当更新或删除素材的时候，需要删除该key。

缓存名：dw:texiu:sticker:list:${categoryId}
描述：炫舞素材列表缓存，有序集合类型；每当新增或者删除炫舞素材的时候（也编辑素材的时候），需要删除该数据对应的分类的缓存列表。
```



# music

```
缓存名：dw:texiu:music:${id}
描述：音乐详情缓存，每当更新或删除编辑音乐的时候，需要删除该key。

缓存名：dw:texiu:music:type:${typeId}
描述：音乐类型id对应的音乐列表，每当更新或删除编辑音乐的时候，需要删除该key。

缓存名：dw:texiu:template:music:${typeId}
描述：音乐id 对应的模板列表，每当更新或删除编辑音乐的时候，需要删除该key。

```

